#ifndef _MB_API_H
#define _MB_API_H

#include <sys/types.h>

#ifdef __STDC__
extern int mb_getpagesize( );
extern int mb_setpagesize( int size );
extern int mb_send( int socket, char *peer, int msg_type, int msg_id, int msg_len, u_char *msg );
extern int mb_reply( int socket, int msg_id, int msg_len, u_char *msg );
extern int mb_reply_nobody( int socket, int msg_id );
extern int mb_reply_timeout( int socket, int msg_id );
extern int mb_register( int socket, int msg_id, char *app_name, int sync );
extern int mb_probe( int socket, int msg_id, char *app_name, int sync );
extern int mb_receive( int socket, int *msg_id, int *msg_len, u_char **msg );
extern int mb_bind( char *host, char *port_name );
extern int mb_unbind( int socket );
#else
extern int mb_getpagesize();
extern int mb_setpagesize();
extern int mb_send();
extern int mb_reply();
extern int mb_reply_nobody();
extern int mb_reply_timeout();
extern int mb_register();
extern int mb_probe();
extern int mb_receive();
extern int mb_bind();
extern int mb_unbind();
#endif

#endif

