#ifndef _MBPING_H
#define _MBPING_H

#include <sys/types.h>

#include "ctk/shell.h"

#define MBPING_PROMPT		"ping> "

struct mbping {
	shell	kbd_shell;
	char *	kbd_prompt;
	char *	port_name;
	int		mb_socket;
	u_int	mb_msg_id;
	int		dump_size;
};

extern struct mbping mbping;

#ifdef __STDC__
extern void mbping_unbind( );
extern void mbping_bind( char *host );
extern void mbping_exit( int status );
extern void mbping_receive_data( int socket );
extern void mbping_register_as( char *app_name, int sync );
extern void mbping_probe( char *app_name, int sync );
extern void mbping_send_data( char *peer_name, u_int len, u_char *msg, int mode );
#else
extern void mbping_unbind();
extern void mbping_bind();
extern void mbping_exit();
extern void mbping_receive_data();
extern void mbping_register_as();
extern void mbping_probe();
extern void mbping_send_data();
#endif

#endif

